+++
class = "post"
date = "2017-04-02T14:47:09-04:00"
tags = []
title = "Homeproduction, part 1: Hardware"
type = "post"
weight = 1
draft = true
+++

[Part 1](/post/homeproduction-part-1/) - [Part 2](/post/homeproduction-part-2/) - [Part 3](/post/homeproduction-part-3/)
```
Why do you do this?
Because I want to.
  - The Matrix, -ish
```

## Homelab? Homeproduction!

If you're reading this and have no idea what a 'homelab' is, it's a hobby for system administrators whereby we set up our own "lab" environments at home, to play around with and generally learn on. Some are small, just a home server and a switch, and some are basically mini-datacenters. Mine's closer to the latter.

In my case, I strongly value service independence and control of my own data. I put little trust in large corporate Internet companies, from privacy, security, and reliability perspectives, and would simply rather host my data myself. For this reason, I've spent the last 4 years building up my "homeproduction": a homelab used day-in day-out for my data needs, along with my family and friends.

This is the first in a series of posts describing my lab as it exists today in April 2017. There will be three sections: Hardware, Storage, and Services.

## From the bottom up: Power

The homelab really begins with power - no electricity, no homelab! For optimal efficiency and to prevent overloading, my lab has a dedicated 20A 120V circuit run to it. The story of this circuit is a little funny: my box has a fixed number of fuses, and was full for as long as I could remember. But I never noticed one circuit was dedicated... to the doorbell! Goodbye fixed doorbell, hello homelab circuit!

![Wall-mounted 20A outlet](/images/homelab/power-wall-plug.png)

From the surface-mounted 20A plug, the single power input to the rack goes into an APC Smart-UPS 2200 RM XL, which provides 2200VA of protecting for approximately 10 minutes at 2/3 load. With my current contingent of gear this is the perfect size and has kept the system going through several small power outages.

Power is distributed through the rack on two power bars, which provide A/B power feeds to dual-PSU gear. One of these distribution bars also connects to a second, smaller power bar for wallwarts. The goal with the dual distribution bars would be to eventually obtain a second UPS and provide truly redundant power (from the wall at least - it's a house!), but so far I haven't seen any need to (for the aforementioned reason!)

![APC Smart-UPS](/images/homelab/power-ups-bars.png) 

All-told, the rack today uses at its peak about 1500W as reported by the UPS, averaging closer to 1300W.

![Power usage graph, one week](/images/homelab/power-usage-graph.png)

## The Rack

The rack itself is an evolution from a few previous designs, including a large Lack-based setup and a smaller audio rack. In its current form, the rack is made primarily of 2x4s, pannelboard, and angle iron for rails, sitting atop six large castors to allow for easy movement.


